Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.session
Interface AbstractSessionManager.SessionIf

All Superinterfaces:
  HttpSession

All Known Implementing Classes:
  AbstractSessionManager.Session, HashSessionManager.HashedSession, JDBCSessionManager.Session

Enclosing class:
  AbstractSessionManager

    public static interface AbstractSessionManager.SessionIf

extends HttpSession

Interface that any session wrapper should implement so that SessionManager may access the Jetty session implementation.

Method Summary
`AbstractSessionManager.Session` | `getSession()`

Methods inherited from interface javax.servlet.http.HttpSession
`getAttribute, getAttributeNames, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getServletContext, getSessionContext, getValue, getValueNames, invalidate, isNew, putValue, removeAttribute, removeValue, setAttribute, setMaxInactiveInterval`

Method Detail

### getSession

    AbstractSessionManager.Session getSession()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.